from web.database import db

class MementoModel(db.Model):
    # id = db.Column(db.Integer, primary_key=True)
    uri = db.Column(db.String(255), nullable=False)
    hashed_uri = db.Column(db.String(255), primary_key=True, nullable=False)
    request_time = db.Column(db.DateTime(), nullable=False)
    response_time = db.Column(db.DateTime(), nullable=True)
    result = db.Column(db.Text, nullable=True)